Create points
POST
https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points
Path Parameters
- topic-board-idstringrequiredExampleDescription
- topic-idstringrequiredExampleDescription
Body Parameters
- bodyobject[]required
- xnumberrequiredExampleDescription
- ynumberrequiredExampleDescription
- znumberrequiredExampleDescription
- modelsobject[]Description
- modelRefstringExampleDescription
- revisionRefstringExampleDescription
- refstringExampleDescription
Responses
200
- topic-point
- idstringExampleDescription
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- modelsobject[]Description
- modelRefstringExampleDescription
- revisionRefstringExampleDescription
- refstringExampleDescription
curl
curl --request POST \
--url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '[
{
"x": 100,
"y": 100,
"z": 100
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{
"x": 100,
"y": 100,
"z": 100
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump([
{
"x": 100,
"y": 100,
"z": 100
}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points"
payload = json.dumps([
{
"x": 100,
"y": 100,
"z": 100
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"id": "db3cffcf-2217-4503-8e51-ab2740d5043a",
"x": 100,
"y": 100,
"z": 100,
"models": [
{
"modelRef": "11a9bb2984ee4a999875c4cd9560f319",
"revisionRef": "eed6ae36-5fe0-4f1f-89da-fba8efcf8b97",
"ref": "827f4b14-af0c-44e5-90ce-4e58fa79d7b3"
}
]
}